---
apiVersion: traefik.io/v1alpha1
kind: IngressRoute
metadata:
  name: vt-fe
  namespace: vt
spec:
  entryPoints:
    - web
    - websecure
  routes:
    - kind: Rule
      match: Host(`vt.kocoder.xyz`)
      observability:
        accessLogs: true
        metrics: true
        tracing: true
      priority: 10
      services:
        - kind: Service
          name: vt-fe
          namespace: vt
          passHostHeader: true
          port: 3000
          responseForwarding:
            flushInterval: 1ms
          scheme: http
          sticky:
            cookie:
              httpOnly: true
              name: cookie
              secure: true
          strategy: wrr
          weight: 10
